import theater.*;

import javax.swing.JOptionPane;


/**
 * ActionHandler zum Eingeben eines Seeds für Pseudo-Zufallszahlen
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (22.10.2009)
 *
 */
public class Seed extends ActionHandler {
    public void handleAction(Stage stage, Actor solist) {
        GPerformance perf = (GPerformance) Performance.getPerformance();

        // während eine Simulation läuft, kann die Aktion nicht ausgeführt werden
        if (perf.isRunning()) {
            return;
        }

        World world = (World) stage;
        long oldSeed = world.getSeed();
        String input = JOptionPane.showInputDialog(null,
                "Seed (für Pseudo-Zufallszahlen)", oldSeed);

        if (input == null) { // abbrechen

            return;
        }

        try {
            long newSeed = Long.parseLong(input);
            world.setSeed(newSeed);
        } catch (Throwable th) {
            return;
        }
    }
}
